# The DomainException class

(PHP 5 >= 5.1.0, PHP 7)

## Introduction

Exception thrown if a value does not adhere to a defined valid data domain.

## Class synopsis

DomainException extends LogicException {
/* Inherited properties */
protected string $message ;
protected int $code ;
protected string $file ;
protected int $line ;
/* Inherited methods */
public Exception::__construct ([ string `$message` = "" [, int `$code` = 0 [, Throwable `$previous` = `NULL` ]]] )
final public Exception::getMessage ( void ) : string
final public Exception::getPrevious ( void ) : Throwable
final public Exception::getCode ( void ) : mixed
final public Exception::getFile ( void ) : string
final public Exception::getLine ( void ) : int
final public Exception::getTrace ( void ) : array
final public Exception::getTraceAsString ( void ) : string
public Exception::__toString ( void ) : string
final private Exception::__clone ( void ) : void
}